{
    "____一、comment_dataset_info": "定义多个数据集文件名和对应类名",
    "dataset_info": {
      "dataset_file_name": "publicdataset_endovis_2017",
      "dataset_class_name": "PublicDataSet_Endovis_2017",
      "data_root": "/home/wkmgc/Desktop/Seg/DataSet_Public/3_1_Endovis_2017-8Type-512x512",
      "img_scale_width": 512,
      "img_scale_height": 512,
      "____#####comment_paths#####": "训练、验证、测试集所在文件夹",
      "paths": {
        "train_img_path": "images/train",
        "train_seg_map_path": "labels_GT/train",
        "val_img_path": "images/val",
        "val_seg_map_path": "labels_GT/val",
        "test_img_path": "images/val",
        "test_seg_map_path": "labels_GT/val"
      }
    },
    "____二、comment_label_info": "定义Label图片相关参数",
    "label_info": {
      "classes": ["背景", "1", "2", "3", "4", "5", "6", "7"],
      "palette": [
        [0, 0, 0], [255, 91, 0], [255, 234, 0], [85, 111, 181], [181, 227, 14], [72, 0, 255], [0, 155, 33], [255, 0, 255]
      ],
      "____#####comment#####": "一般不太会变的参数",
      "img_suffix": ".bmp",
      "seg_map_suffix": ".bmp",
      "____#####comment_reduce_zero_label_1#####": "在第 0 类为无意义黑边时，使用reduce_zero_label = True将其和待分类内容分开；",
      "____#####comment_reduce_zero_label_2#####": "在第 0 类为 background 类别的数据集上，如果您最终是需要将背景和您的其余类别分开时，是不需要使用reduce_zero_label的 【reduce_zero_label = False】",
      "reduce_zero_label": false
    },
    "____三、comment_training_info": "定义训练相关参数",
    "training_info": {
      "crop_size_width": 256,
      "crop_size_height": 256,
      "train_batch_size": 16,
      "train_num_workers": 4,
      "val_and_test_batch_size": 1,
      "val_and_test_num_workers": 4
    }
  }
  